unregister_security
Prev | Chapter 14. Security Framework | Next

## Name

unregister_security — unregisters a security framework with the kernel

## Synopsis

`int unregister_security (` | struct security_operations * | ops`)`;

## Arguments

`ops`

  a pointer to the struct security_options that is to be registered

## Description

This function removes a struct security_operations variable that had previously been registered with a successful call to `register_security`.

If `ops` does not match the valued previously passed to `register_security` an error is returned. Otherwise the default security options is set to the the dummy_security_ops structure, and 0 is returned.

Prev | Up | Next
register_security | Home | mod_reg_security